#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private TradeLikeAProEF.GestorDeOrdenes[] cacheGestorDeOrdenes;

		
		public TradeLikeAProEF.GestorDeOrdenes GestorDeOrdenes(bool displayTicks, bool displayPoints, bool displayCurrency, bool displayPercentOfAccount, int flexGapWidth, Brush stopFillBrush, Brush targetFillBrush, Brush outlineBrush, Brush textBrush)
		{
			return GestorDeOrdenes(Input, displayTicks, displayPoints, displayCurrency, displayPercentOfAccount, flexGapWidth, stopFillBrush, targetFillBrush, outlineBrush, textBrush);
		}


		
		public TradeLikeAProEF.GestorDeOrdenes GestorDeOrdenes(ISeries<double> input, bool displayTicks, bool displayPoints, bool displayCurrency, bool displayPercentOfAccount, int flexGapWidth, Brush stopFillBrush, Brush targetFillBrush, Brush outlineBrush, Brush textBrush)
		{
			if (cacheGestorDeOrdenes != null)
				for (int idx = 0; idx < cacheGestorDeOrdenes.Length; idx++)
					if (cacheGestorDeOrdenes[idx].DisplayTicks == displayTicks && cacheGestorDeOrdenes[idx].DisplayPoints == displayPoints && cacheGestorDeOrdenes[idx].DisplayCurrency == displayCurrency && cacheGestorDeOrdenes[idx].DisplayPercentOfAccount == displayPercentOfAccount && cacheGestorDeOrdenes[idx].FlexGapWidth == flexGapWidth && cacheGestorDeOrdenes[idx].StopFillBrush == stopFillBrush && cacheGestorDeOrdenes[idx].TargetFillBrush == targetFillBrush && cacheGestorDeOrdenes[idx].OutlineBrush == outlineBrush && cacheGestorDeOrdenes[idx].TextBrush == textBrush && cacheGestorDeOrdenes[idx].EqualsInput(input))
						return cacheGestorDeOrdenes[idx];
			return CacheIndicator<TradeLikeAProEF.GestorDeOrdenes>(new TradeLikeAProEF.GestorDeOrdenes(){ DisplayTicks = displayTicks, DisplayPoints = displayPoints, DisplayCurrency = displayCurrency, DisplayPercentOfAccount = displayPercentOfAccount, FlexGapWidth = flexGapWidth, StopFillBrush = stopFillBrush, TargetFillBrush = targetFillBrush, OutlineBrush = outlineBrush, TextBrush = textBrush }, input, ref cacheGestorDeOrdenes);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.TradeLikeAProEF.GestorDeOrdenes GestorDeOrdenes(bool displayTicks, bool displayPoints, bool displayCurrency, bool displayPercentOfAccount, int flexGapWidth, Brush stopFillBrush, Brush targetFillBrush, Brush outlineBrush, Brush textBrush)
		{
			return indicator.GestorDeOrdenes(Input, displayTicks, displayPoints, displayCurrency, displayPercentOfAccount, flexGapWidth, stopFillBrush, targetFillBrush, outlineBrush, textBrush);
		}


		
		public Indicators.TradeLikeAProEF.GestorDeOrdenes GestorDeOrdenes(ISeries<double> input , bool displayTicks, bool displayPoints, bool displayCurrency, bool displayPercentOfAccount, int flexGapWidth, Brush stopFillBrush, Brush targetFillBrush, Brush outlineBrush, Brush textBrush)
		{
			return indicator.GestorDeOrdenes(input, displayTicks, displayPoints, displayCurrency, displayPercentOfAccount, flexGapWidth, stopFillBrush, targetFillBrush, outlineBrush, textBrush);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.TradeLikeAProEF.GestorDeOrdenes GestorDeOrdenes(bool displayTicks, bool displayPoints, bool displayCurrency, bool displayPercentOfAccount, int flexGapWidth, Brush stopFillBrush, Brush targetFillBrush, Brush outlineBrush, Brush textBrush)
		{
			return indicator.GestorDeOrdenes(Input, displayTicks, displayPoints, displayCurrency, displayPercentOfAccount, flexGapWidth, stopFillBrush, targetFillBrush, outlineBrush, textBrush);
		}


		
		public Indicators.TradeLikeAProEF.GestorDeOrdenes GestorDeOrdenes(ISeries<double> input , bool displayTicks, bool displayPoints, bool displayCurrency, bool displayPercentOfAccount, int flexGapWidth, Brush stopFillBrush, Brush targetFillBrush, Brush outlineBrush, Brush textBrush)
		{
			return indicator.GestorDeOrdenes(input, displayTicks, displayPoints, displayCurrency, displayPercentOfAccount, flexGapWidth, stopFillBrush, targetFillBrush, outlineBrush, textBrush);
		}

	}
}

#endregion
